< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package ct
  Definition Classes
    hmrc
-  package box
  Definition Classes
    ct
-  package formats
  Definition Classes
    box
-  package retriever
  Definition Classes
    box
- AnnualConstant
- Calculated
- CompoundCalculated
- CtBigDecimal
- CtBoolean
- CtBoxIdentifier
- CtDate
- CtInteger
- CtOptionalBigDecimal
- CtOptionalBoolean
- CtOptionalDate
- CtOptionalInteger
- CtOptionalString
- CtString
- CtTypeConverters
- CtValidation
- CtValue
- Debit
- EndDate
- ExtraValidation
- Input
- InputWithDefault
- Linked
- MustBeNoneOrZeroOrPositiveDecimal
- MustBeZeroOrPositive
- NotInPdf
- OptionalCtValue
- SelfValidatableBox
- StartDate
- ValidatableBox
- Validators

t

uk.gov.hmrc.ct.box

# CtString 

###

#### trait CtString extends CtValue[String]

Self Type
  CtString with CtBoxIdentifier

Linear Supertypes
CtValue[String], AnyRef, Any
Known Subclasses
UTR, AC199A, B1000, B155, B1, B3, B4, B920, B925, B930, B935, A1, A2, E1020, E1023, E1, E2, E5, J1, J2
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. CtString
2. CtValue
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Abstract Value Members

1.  abstract def value: String
   Definition Classes
     CtValue

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def asBoxString: Option[String]
   Definition Classes
     CtValue
5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native()
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def equals(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
9.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )
10.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
12.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
13.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
15.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
17.  def toString(): String
    Definition Classes
      AnyRef → Any
18.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
19.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
20.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()

### Inherited from CtValue[String]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped